hpp-core: hpp::core::continuousValidation Namespace Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
hpp::core::continuousValidation Namespace Reference

## Classes
class | BodyPairCollision
struct | CoefficientVelocity
class | Dichotomy
class | IntervalValidation
class | Progressive
class | SolidSolidCollision

## Typedefs
typedef std::vector< CoefficientVelocity > | CoefficientVelocities_t
typedef shared_ptr< Dichotomy > | DichotomyPtr_t
typedef shared_ptr< Progressive > | ProgressivePtr_t
typedef shared_ptr< BodyPairCollision > | BodyPairCollisionPtr_t
typedef std::vector< BodyPairCollisionPtr_t > | BodyPairCollisions_t
typedef shared_ptr< IntervalValidation > | IntervalValidationPtr_t
typedef std::vector< IntervalValidationPtr_t > | IntervalValidations_t
typedef shared_ptr< SolidSolidCollision > | SolidSolidCollisionPtr_t

## Functions
std::ostream & | operator<< (std::ostream &os, const BodyPairCollision &pair)
std::ostream & | operator<< (std::ostream &os, const IntervalValidation &b)
| HPP_PREDEF_CLASS (Dichotomy)
| HPP_PREDEF_CLASS (Progressive)
| HPP_PREDEF_CLASS (BodyPairCollision)
| HPP_PREDEF_CLASS (IntervalValidation)
| HPP_PREDEF_CLASS (SolidSolidCollision)

## Typedef Documentation

## ◆ BodyPairCollisionPtr_t

typedef shared_ptr<BodyPairCollision> hpp::core::continuousValidation::BodyPairCollisionPtr_t

## ◆ BodyPairCollisions_t

typedef std::vector<BodyPairCollisionPtr_t> hpp::core::continuousValidation::BodyPairCollisions_t

## ◆ CoefficientVelocities_t

typedef std::vector<CoefficientVelocity> hpp::core::continuousValidation::CoefficientVelocities_t

## ◆ DichotomyPtr_t

typedef shared_ptr<Dichotomy> hpp::core::continuousValidation::DichotomyPtr_t

## ◆ IntervalValidationPtr_t

typedef shared_ptr<IntervalValidation> hpp::core::continuousValidation::IntervalValidationPtr_t

## ◆ IntervalValidations_t

typedef std::vector<IntervalValidationPtr_t> hpp::core::continuousValidation::IntervalValidations_t

## ◆ ProgressivePtr_t

typedef shared_ptr<Progressive> hpp::core::continuousValidation::ProgressivePtr_t

## ◆ SolidSolidCollisionPtr_t

typedef shared_ptr<SolidSolidCollision> hpp::core::continuousValidation::SolidSolidCollisionPtr_t

## Function Documentation

## ◆ HPP_PREDEF_CLASS() [1/5]

hpp::core::continuousValidation::HPP_PREDEF_CLASS | ( | BodyPairCollision |  | ) |

## ◆ HPP_PREDEF_CLASS() [2/5]

hpp::core::continuousValidation::HPP_PREDEF_CLASS | ( | Dichotomy |  | ) |

## ◆ HPP_PREDEF_CLASS() [3/5]

hpp::core::continuousValidation::HPP_PREDEF_CLASS | ( | IntervalValidation |  | ) |

## ◆ HPP_PREDEF_CLASS() [4/5]

hpp::core::continuousValidation::HPP_PREDEF_CLASS | ( | Progressive |  | ) |

## ◆ HPP_PREDEF_CLASS() [5/5]

hpp::core::continuousValidation::HPP_PREDEF_CLASS | ( | SolidSolidCollision |  | ) |

## ◆ operator<<() [1/2]

std::ostream & hpp::core::continuousValidation::operator<< | ( | std::ostream & | os,
|  | const BodyPairCollision & | pair
| ) |  |
| inline

## ◆ operator<<() [2/2]

std::ostream & hpp::core::continuousValidation::operator<< | ( | std::ostream & | os,
|  | const IntervalValidation & | b
| ) |  |
| inline